Package org.apache.ignite.binary

## Interface BinaryRawWriter

-     public interface BinaryRawWriter

  Raw writer for binary object. Raw writer does not write field name hash codes, therefore, making the format even more compact. However, if the raw writer is used, dynamic structure changes to the binary objects are not supported.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeBoolean​(boolean val)` |
    `void` | `writeBooleanArray​(@org.jetbrains.annotations.Nullable boolean[] val)` |
    `void` | `writeByte​(byte val)` |
    `void` | `writeByteArray​(@org.jetbrains.annotations.Nullable byte[] val)` |
    `void` | `writeChar​(char val)` |
    `void` | `writeCharArray​(@org.jetbrains.annotations.Nullable char[] val)` |
    `<T> void` | `writeCollection​(@Nullable Collection<T> col)` |
    `void` | `writeDate​(@Nullable Date val)` |
    `void` | `writeDateArray​(@Nullable Date[] val)` |
    `void` | `writeDecimal​(@Nullable BigDecimal val)` |
    `void` | `writeDecimalArray​(@Nullable BigDecimal[] val)` |
    `void` | `writeDouble​(double val)` |
    `void` | `writeDoubleArray​(@org.jetbrains.annotations.Nullable double[] val)` |
    `<T extends Enum<?>> void` | `writeEnum​(T val)` |
    `<T extends Enum<?>> void` | `writeEnumArray​(T[] val)` |
    `void` | `writeFloat​(float val)` |
    `void` | `writeFloatArray​(@org.jetbrains.annotations.Nullable float[] val)` |
    `void` | `writeInt​(int val)` |
    `void` | `writeIntArray​(@org.jetbrains.annotations.Nullable int[] val)` |
    `void` | `writeLong​(long val)` |
    `void` | `writeLongArray​(@org.jetbrains.annotations.Nullable long[] val)` |
    `<K,​V> void` | `writeMap​(@Nullable Map<K,​V> map)` |
    `void` | `writeObject​(@Nullable Object obj)` |
    `void` | `writeObjectArray​(@Nullable Object[] val)` |
    `void` | `writeShort​(short val)` |
    `void` | `writeShortArray​(@org.jetbrains.annotations.Nullable short[] val)` |
    `void` | `writeString​(@Nullable String val)` |
    `void` | `writeStringArray​(@Nullable String[] val)` |
    `void` | `writeTime​(@Nullable Time val)` |
    `void` | `writeTimeArray​(@Nullable Time[] val)` |
    `void` | `writeTimestamp​(@Nullable Timestamp val)` |
    `void` | `writeTimestampArray​(@Nullable Timestamp[] val)` |
    `void` | `writeUuid​(@Nullable UUID val)` |
    `void` | `writeUuidArray​(@Nullable UUID[] val)` |

- - ### Method Detail

    - #### writeByte

          void writeByte​(byte val)
                  throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeShort

          void writeShort​(short val)
                   throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeInt

          void writeInt​(int val)
                 throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeLong

          void writeLong​(long val)
                  throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeFloat

          void writeFloat​(float val)
                   throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeDouble

          void writeDouble​(double val)
                    throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeChar

          void writeChar​(char val)
                  throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeBoolean

          void writeBoolean​(boolean val)
                     throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeDecimal

          void writeDecimal​(@Nullable
                            @Nullable BigDecimal val)
                     throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeString

          void writeString​(@Nullable
                           @Nullable String val)
                    throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeUuid

          void writeUuid​(@Nullable
                         @Nullable UUID val)
                  throws BinaryObjectException

      Parameters:
        `val` - UUID to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeDate

          void writeDate​(@Nullable
                         @Nullable Date val)
                  throws BinaryObjectException

      Parameters:
        `val` - Date to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeTimestamp

          void writeTimestamp​(@Nullable
                              @Nullable Timestamp val)
                       throws BinaryObjectException

      Parameters:
        `val` - Timestamp to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeTime

          void writeTime​(@Nullable
                         @Nullable Time val)
                  throws BinaryObjectException

      Parameters:
        `val` - Time to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeObject

          void writeObject​(@Nullable
                           @Nullable Object obj)
                    throws BinaryObjectException

      Parameters:
        `obj` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeByteArray

          void writeByteArray​(@Nullable
                              @org.jetbrains.annotations.Nullable byte[] val)
                       throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeShortArray

          void writeShortArray​(@Nullable
                               @org.jetbrains.annotations.Nullable short[] val)
                        throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeIntArray

          void writeIntArray​(@Nullable
                             @org.jetbrains.annotations.Nullable int[] val)
                      throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeLongArray

          void writeLongArray​(@Nullable
                              @org.jetbrains.annotations.Nullable long[] val)
                       throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeFloatArray

          void writeFloatArray​(@Nullable
                               @org.jetbrains.annotations.Nullable float[] val)
                        throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeDoubleArray

          void writeDoubleArray​(@Nullable
                                @org.jetbrains.annotations.Nullable double[] val)
                         throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeCharArray

          void writeCharArray​(@Nullable
                              @org.jetbrains.annotations.Nullable char[] val)
                       throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeBooleanArray

          void writeBooleanArray​(@Nullable
                                 @org.jetbrains.annotations.Nullable boolean[] val)
                          throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeDecimalArray

          void writeDecimalArray​(@Nullable
                                 @Nullable BigDecimal[] val)
                          throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeStringArray

          void writeStringArray​(@Nullable
                                @Nullable String[] val)
                         throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeUuidArray

          void writeUuidArray​(@Nullable
                              @Nullable UUID[] val)
                       throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeDateArray

          void writeDateArray​(@Nullable
                              @Nullable Date[] val)
                       throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeTimestampArray

          void writeTimestampArray​(@Nullable
                                   @Nullable Timestamp[] val)
                            throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeTimeArray

          void writeTimeArray​(@Nullable
                              @Nullable Time[] val)
                       throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeObjectArray

          void writeObjectArray​(@Nullable
                                @Nullable Object[] val)
                         throws BinaryObjectException

      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeCollection

          <T> void writeCollection​(@Nullable
                                   @Nullable Collection<T> col)
                            throws BinaryObjectException

      Type Parameters:
        `T` - Type of elements in collection to write.
      Parameters:
        `col` - Collection to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeMap

          <K,​V> void writeMap​(@Nullable
                                    @Nullable Map<K,​V> map)
                             throws BinaryObjectException

      Type Parameters:
        `K` - Type of keys in the map to write.
        `V` - Type of mapped values in the map to write.
      Parameters:
        `map` - Map to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeEnum

          <T extends Enum<?>> void writeEnum​(T val)
                                      throws BinaryObjectException

      Type Parameters:
        `T` - Type of the enum to write.
      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### writeEnumArray

          <T extends Enum<?>> void writeEnumArray​(T[] val)
                                           throws BinaryObjectException

      Type Parameters:
        `T` - Type of the enum values in array to write.
      Parameters:
        `val` - Value to write.
      Throws:
        `BinaryObjectException` - In case of error.